## org.eclipse.datatools.sqltools.sqleditor
Interface IPageUpdate

All Known Implementing Classes:
  AddTemplateAction, DMLDialogSelectionSQLAction, ExecuteCurrentSQLAction, ExecuteSelectionSQLAction, ExecuteSQLAsOneStatementAction, RefreshFromDatabaseAction, SaveToDatabaseAction, ToggleCommentAction

    public interface IPageUpdate

Actions that are aware of the multi form editor should implement this interface.

Author:
  Hui Cao

Method Summary
`void` `update(boolean isSQLEditorPage)` Requests that this object update itself when the page is switched.

Method Detail

### update

    void update(boolean isSQLEditorPage)

  Requests that this object update itself when the page is switched.

  Parameters:
    `isSQLEditorPage` - whether the active page is an embeded instance of SQLEditor.